'''
Created on 6 lut 2020

@author: fpawlak
'''
from ConfigParser import RawConfigParser

class Config:
    class main:
        def __init__(self):
            self.company
            self.libraryStartingVersion
        
    class localRepository:
        def __init__(self):
            self.name
            self.path
    
    class developRepository:
        def __init__(self):
            self.name
            self.path

    class remoteRepository:
        def __init__(self):
            self.path

    def __init__(self, filePath):
        config = RawConfigParser()
        config.read(filePath)
        
        self.main.company = config.get('GLOBAL', 'company')
        self.main.libraryStartingVersion = config.get('GLOBAL', 'libraryStartingVersion')
        
        self.developRepository.name = config.get('LOCAL_REPOSITORY_DEVELOP', 'name')
        self.developRepository.path = config.get('LOCAL_REPOSITORY_DEVELOP', 'path')
        
        self.localRepository.name = config.get('LOCAL_REPOSITORY', 'name')
        self.localRepository.path = config.get('LOCAL_REPOSITORY', 'path')
        
        self.remoteRepository.path = config.get('REMOTE_REPOSITORY', 'path')
